{
  "codeName" : "UI_0007_2",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail/PSFORMS/UI_0007_2.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom"
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
  "logicName" : "数据选择",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "LOAD;SAVE;REMOVE",
    "logicTag" : "form",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_form",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEFormItemUpdates" : [ {
    "codeName" : "CountMoney",
    "name" : "统计金额",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "CountMoney"
    },
    "getPSDEFIUpdateDetails" : [ {
      "name" : "amount"
    } ]
  }, {
    "codeName" : "GetUnitAndPrice",
    "name" : "获取产品数量和单价",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetUnitAndPrice"
    },
    "getPSDEFIUpdateDetails" : [ {
      "name" : "unit"
    }, {
      "name" : "unitprice"
    } ]
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILID",
      "codeName" : "IBIZOrderDetailId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILNAME",
      "codeName" : "IBIZOrderDetailName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "ibizuniproductname",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZUNIPRODUCTNAME",
      "codeName" : "IBIZUNIProductName"
    }
  }, {
    "id" : "quantity",
    "dataType" : 9,
    "getPSAppDEField" : {
      "name" : "QUANTITY",
      "codeName" : "Quantity"
    }
  }, {
    "id" : "ibizorderdetailname",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILNAME",
      "codeName" : "IBIZOrderDetailName"
    }
  }, {
    "id" : "ibizorderdetailid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILID",
      "codeName" : "IBIZOrderDetailId"
    }
  }, {
    "id" : "orderuid",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "ORDERUID",
      "codeName" : "OrderUID"
    }
  }, {
    "id" : "ibizorderid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    }
  }, {
    "id" : "ibizordername",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    }
  }, {
    "id" : "amount",
    "dataType" : 7,
    "getPSAppDEField" : {
      "name" : "AMOUNT",
      "codeName" : "Amount"
    }
  }, {
    "id" : "unit",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "UNIT",
      "codeName" : "Unit"
    }
  }, {
    "id" : "unitprice",
    "dataType" : 7,
    "getPSAppDEField" : {
      "name" : "UNITPRICE",
      "codeName" : "UnitPrice"
    }
  }, {
    "id" : "ibizuniproductid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZUNIPRODUCTID",
      "codeName" : "IBIZUNIProductId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "getCapPSLanguageRes" : {
      "lanResTag" : "CONTROL.DEFORM.IBIZORDERDETAIL.MAIN.FORMPAGE.FORMPAGE1"
    },
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZORDERDETAIL.MAIN.GROUPPANEL.GROUP1"
      },
      "caption" : "订单明细基本信息",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZUNIPRODUCTNAME"
        },
        "caption" : "产品名称",
        "codeName" : "ibizuniproductname",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ibizuniproductname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZUNIPRODUCTNAME",
          "codeName" : "IBIZUNIProductName"
        },
        "getPSDEFormItemUpdate" : {
          "modelref" : true,
          "id" : "GetUnitAndPrice"
        },
        "getPSEditor" : {
          "editorParams" : {
            "AC" : "FALSE",
            "TRIGGER" : "TRUE",
            "PICKUPVIEW" : "TRUE"
          },
          "editorType" : "PICKEREX_NOAC",
          "handlerType" : "PickupText",
          "name" : "ibizuniproductname",
          "getPSAppDEACMode" : {
            "modelref" : true,
            "id" : "Default"
          },
          "getPSAppDEDataSet" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZUNIProduct.json"
          },
          "getPickupPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductIndexPickupDataView.json",
            "viewType" : "DEINDEXPICKUPDATAVIEW"
          },
          "valueItemName" : "ibizuniproductid",
          "enableAC" : false,
          "enablePickupView" : true,
          "forceSelection" : true,
          "showTrigger" : true,
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 4,
          "colSM" : 4,
          "colXS" : 4,
          "layout" : "TABLE_24COL"
        },
        "valueItemName" : "ibizuniproductid",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.QUANTITY"
        },
        "caption" : "数量",
        "codeName" : "quantity",
        "dataType" : 9,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "quantity",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "QUANTITY",
          "codeName" : "Quantity"
        },
        "getPSDEFormItemUpdate" : {
          "modelref" : true,
          "id" : "CountMoney"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "quantity"
        },
        "getPSLayoutPos" : {
          "colMD" : 4,
          "colSM" : 4,
          "colXS" : 4,
          "layout" : "TABLE_24COL"
        },
        "resetItemName" : "IBIZuniproductname",
        "resetItemNames" : [ "IBIZuniproductname" ],
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDERDETAILNAME"
        },
        "caption" : "订单明细名称",
        "codeName" : "ibizorderdetailname",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ibizorderdetailname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZORDERDETAILNAME",
          "codeName" : "IBIZOrderDetailName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "ibizorderdetailname"
        },
        "getPSLayoutPos" : {
          "colMD" : 4,
          "colSM" : 4,
          "colXS" : 4,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDERDETAILID"
        },
        "caption" : "订单明细标识",
        "codeName" : "ibizorderdetailid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ibizorderdetailid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZORDERDETAILID",
          "codeName" : "IBIZOrderDetailId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "ibizorderdetailid"
        },
        "getPSLayoutPos" : {
          "colMD" : 4,
          "colSM" : 4,
          "colXS" : 4,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.ORDERUID"
        },
        "caption" : "订单编号",
        "codeName" : "orderuid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "orderuid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "ORDERUID",
          "codeName" : "OrderUID"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "orderuid",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 4,
          "colSM" : 4,
          "colXS" : 4,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDERID"
        },
        "caption" : "订单标识",
        "codeName" : "ibizorderid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ibizorderid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZORDERID",
          "codeName" : "IBIZOrderId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "ibizorderid"
        },
        "getPSLayoutPos" : {
          "colMD" : 4,
          "colSM" : 4,
          "colXS" : 4,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZORDERNAME"
        },
        "caption" : "订单名称",
        "codeName" : "ibizordername",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ibizordername",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZORDERNAME",
          "codeName" : "IBIZOrderName"
        },
        "getPSEditor" : {
          "editorParams" : {
            "AC" : "FALSE",
            "TRIGGER" : "TRUE",
            "PICKUPVIEW" : "TRUE"
          },
          "editorType" : "PICKEREX_NOAC",
          "handlerType" : "PickupText",
          "itemParamJO" : {
            "temprs" : true
          },
          "name" : "ibizordername",
          "getPSAppDEACMode" : {
            "modelref" : true,
            "id" : "Default"
          },
          "getPSAppDEDataSet" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
          },
          "getPickupPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderPickupTreeView.json",
            "viewType" : "DEPICKUPTREEVIEW"
          },
          "valueItemName" : "ibizorderid",
          "enableAC" : false,
          "enablePickupView" : true,
          "forceSelection" : true,
          "showTrigger" : true,
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 4,
          "colSM" : 4,
          "colXS" : 4,
          "layout" : "TABLE_24COL"
        },
        "valueItemName" : "ibizorderid",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.AMOUNT"
        },
        "caption" : "小计",
        "codeName" : "amount",
        "dataType" : 7,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "amount",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "amount",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 4,
          "colSM" : 4,
          "colXS" : 4,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UNIT"
        },
        "caption" : "单位",
        "codeName" : "unit",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "unit",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UNIT",
          "codeName" : "Unit"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "unit",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 4,
          "colSM" : 4,
          "colXS" : 4,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UNITPRICE"
        },
        "caption" : "单价",
        "codeName" : "unitprice",
        "dataType" : 7,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "unitprice",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UNITPRICE",
          "codeName" : "UnitPrice"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "unitprice",
          "precision" : 2,
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 4,
          "colSM" : 4,
          "colXS" : 4,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : false
    } ],
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "noTabHeader" : true,
  "modelid" : "219bb30b4187468a59471d693d9c08ec",
  "modeltype" : "PSDEFORM_EDITFORM"
}